package restapi

import (
	"net/http"
	"time"
)

func TimeoutHandler(dt time.Duration) func(http.Handler) http.Handler {
	return func(next http.Handler) http.Handler {
		return http.TimeoutHandler(next, dt, `{"message": "handler timeout"}
`)
	}
}
